KeyDerivationFunc (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.pkcs

## Class KeyDerivationFunc

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.pkcs.KeyDerivationFunc

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class KeyDerivationFunc
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyDerivationFunc(ASN1ObjectIdentifier objectId, ASN1Encodable parameters)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getAlgorithm()`
    `static KeyDerivationFunc` | `getInstance(java.lang.Object obj)`
    `ASN1Encodable` | `getParameters()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyDerivationFunc

          public KeyDerivationFunc(ASN1ObjectIdentifier objectId,
                                   ASN1Encodable parameters)

  - ### Method Detail

    - #### getInstance

          public static KeyDerivationFunc getInstance(java.lang.Object obj)

    - #### getAlgorithm

          public ASN1ObjectIdentifier getAlgorithm()

    - #### getParameters

          public ASN1Encodable getParameters()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.